package com.muyu.server.service;

import com.muyu.common.domain.SysCar;
import com.muyu.common.domain.req.SysCarReq;
import com.muyu.common.domain.resp.SysCarFaultLogVo;
import com.muyu.common.domain.resp.SysCarVo;

import java.util.List;

public interface SysCarService {
    List<SysCarVo> selectSysCarVoList(SysCarReq sysCarReq);

    SysCarVo selectSysCarVoById(Long id);

    int addSysCar(SysCar sysCar);

    int deleteSysCarById(Long id);

    int updateSysCar(SysCar sysCar);

    List<SysCarFaultLogVo> findFenceByCarVin(String carVin);

    SysCar findCarByVin(String carVin);

}
